%global install_loc			%{_datadir}/eclipse/dropins

%global	common_tag			v201308310200
%global	common_dir			webtools.common-%{common_tag}

%global	snippets_tag		v201208170133
%global	snippets_dir		webtools.common.snippets-%{snippets_tag}

# servertools_tag must be the same as in eclipse-wtp-servertools package
%global servertools_tag		20130830_1134
%global servertools_dir		webtools.servertools-%{servertools_tag}

%global	fproj_tag			201208170133
%global	fproj_dir			webtools.common.fproj-%{fproj_tag}

%global	tests_tag			201208170133
%global	tests_dir			webtools.common.tests-%{tests_tag}

Name:			eclipse-wtp-common
Version:		3.5.1
Release:		1%{?dist}
Summary:		Common infrastructure and utilities developed and used with WTP

License:		EPL
URL:			http://www.eclipse.org/webtools/common/
Source0:		http://git.eclipse.org/c/webtools-common/webtools.common.git/snapshot/%{common_dir}.tar.bz2
Source1:		http://git.eclipse.org/c/webtools-common/webtools.common.fproj.git/snapshot/%{fproj_dir}.tar.bz2
Source2:		http://git.eclipse.org/c/webtools-common/webtools.common.snippets.git/snapshot/%{snippets_dir}.tar.bz2
Source3:		http://git.eclipse.org/c/webtools-common/webtools.common.tests.git/snapshot/%{tests_dir}.tar.bz2
Source4:		http://git.eclipse.org/c/servertools/webtools.servertools.git/snapshot/%{servertools_dir}.tar.bz2

BuildArch:		noarch

BuildRequires:	java-devel >= 1.7.0
BuildRequires:	eclipse-pde >= 4.3.0
BuildRequires:	eclipse-platform >= 4.3.0
BuildRequires:	eclipse-jdt >= 4.3.0
BuildRequires:	eclipse-emf-xsd >= 2.9.0
BuildRequires:	eclipse-gef >= 3.9.0
BuildRequires:	eclipse-dtp >= 1.8.2
Requires:		eclipse-platform >= 4.3.0
Requires:		eclipse-jdt >= 4.3.0
Requires:		eclipse-emf-xsd >= 2.9.0
Requires:		eclipse-gef >= 3.9.0
Requires:		eclipse-dtp >= 1.8.2

%description
This package contains various common utilities that are developed and used with
the eclipse web tools platform including facets, snippets view, validation and
extensible URI resolver.

%prep
%setup -q -c
%setup -q -T -D -a 1
%setup -q -T -D -a 2
%setup -q -T -D -a 3
%setup -q -T -D -a 4

find -name '*.jar' -delete
find -name '*.class' -delete

# Build useless jar that is needed to build but does nothing
# See http://dev.eclipse.org/mhonarc/lists/wtp-dev/msg08607.html
# and PERFMSR.README.txt in org.eclipse.perfmsr.core.stub/
if [[ -e /usr/lib64/eclipse ]]; then
	CORE_RUNTIME_JAR=`ls /usr/lib64/eclipse/plugins/org.eclipse.core.runtime_*`
else
	CORE_RUNTIME_JAR=`ls /usr/lib/eclipse/plugins/org.eclipse.core.runtime_*`
fi

pushd %{common_dir}/plugins/org.eclipse.jem.util/org.eclipse.perfmsr.core.stub/src
	javac -cp %{_javadir}/felix/org.osgi.core.jar:${CORE_RUNTIME_JAR} \
		org/eclipse/perfmsr/core/*.java
	jar cf ../perfmsr.jar org/
popd

# Remove problematic license feature
find -name feature.xml -type f \
	-exec sed -i -e 's/license-feature="org.eclipse.license"//g' {} \;

%build
OPTIONS="-DforceContextQualifier=201109301723 -DjavacSource=1.5 -DjavacTarget=1.5"



eclipse-pdebuild -f org.eclipse.wst.common.fproj \
	-d "emf gef" -a "${OPTIONS}"

eclipse-pdebuild -f org.eclipse.jst.common.fproj.enablement.jdt \
	-d "emf gef" -a "$OPTIONS"

eclipse-pdebuild -f org.eclipse.wst.common_core.feature \
	-d "emf gef" -a "$OPTIONS"

eclipse-pdebuild -f org.eclipse.wst.server_core.feature \
	-d "emf gef" -a "$OPTIONS"

eclipse-pdebuild -f org.eclipse.wst.common_ui.feature \
	-d "emf gef" -a "$OPTIONS"

eclipse-pdebuild -f org.eclipse.wst.common_tests.feature \
	-d "emf gef" -a "$OPTIONS"

%install
install -d -m 755 %{buildroot}%{install_loc}/%{name}

unzip -q -o -d %{buildroot}%{install_loc}/%{name} \
 build/rpmBuild/org.eclipse.wst.common.fproj.zip

unzip -q -o -d %{buildroot}%{install_loc}/%{name} \
 build/rpmBuild/org.eclipse.jst.common.fproj.enablement.jdt.zip

unzip -q -o -d %{buildroot}%{install_loc}/%{name} \
 build/rpmBuild/org.eclipse.wst.common_core.feature.zip

unzip -q -o -d %{buildroot}%{install_loc}/%{name} \
 build/rpmBuild/org.eclipse.wst.server_core.feature.zip

unzip -q -o -d %{buildroot}%{install_loc}/%{name} \
 build/rpmBuild/org.eclipse.wst.common_ui.feature.zip


%files
%{install_loc}/%{name}


%changelog
* Fri Oct 11 2013 Gerard Ryan <galileo@fedoraproject.org> - 3.5.1-1
- Update to latest upstream version 3.5.1

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 24 2013 Gerard Ryan <galileo@fedoraproject.org> - 3.5.0-1
- Update to latest upstream version 3.5.0

* Thu May 23 2013 Gerard Ryan <galileo@fedoraproject.org> - 3.5.0-0.1
- Start building from upstream master branches in anticipation for 3.5.0

* Sat Apr 20 2013 Gerard Ryan <galileo@fedoraproject.org> - 3.4.2-4
- Update to newer servertools tag to match eclipse-wtp-servertools

* Fri Apr 19 2013 Gerard Ryan <galileo@fedoraproject.org> - 3.4.2-3
- Re-add erroneously deleted tarball; fix changelog

* Fri Apr 19 2013 Gerard Ryan <galileo@fedoraproject.org> - 3.4.2-2
- Don't use _libdir in noarch packages

* Sun Mar 17 2013 Gerard Ryan <galileo@fedoraproject.org> - 3.4.2-1
- Update to upstream 3.4.2
- Get sources from git.eclipse.org
- Remove and rebuild perfmsr.jar
- Run tests at end of build

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.0-4.20120711cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.0-3.20120711cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jul 11 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.4.0-2.20120711cvs
- Use older context to ensure proper feature resolution.

* Wed Jul 11 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.4.0-1.20120711cvs
- Update to latest upstream revision (3.4.0).

* Wed Apr 25 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.4.0-0.1.20120425cvs
- Update to latest upstream revision (3.4.0 post M6)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jan 11 2012 Andrew Robinson <arobinso@redhat.com> 3.3.1-2
- Remove bundled license feature.

* Fri Sep 30 2011 Andrew Robinson <arobinso@redhat.com> 3.3.1-1
- Update to upstream 3.3.1 release

* Fri Sep 23 2011 Andrew Robinson <arobinso@redhat.com> 3.3.0-1
- Update to WTP-common 3.3.0 release

* Fri Jun 10 2011 Andrew Robinson <arobinso@redhat.com> 3.2.4-1
- Initial Fedora package
